RTI Connext 6.0.0 ROS2 compilation error

2 posts / 0 new
Last post
Offline
Last seen: 1 year 1 month ago
Joined: 04/26/2019
Posts: 1
RTI Connext 6.0.0 ROS2 compilation error
AttachmentSize
Plain text icon stderr output of compilation42.99 KB

Hello everybody,

currently I am trying to compile ROS2 using this manual https://index.ros.org/doc/ros2/Installation/Linux-Development-Setup/

I am using Ubuntu 18.04 with the Connext DDS 6.0.0 binaries from https://www.rti.com/free-trial/dds-files

 x86 64-bit (https://s3.amazonaws.com/RTI/Bundles/6.0.0/Evaluation/rti_connext_dds_secure-6.0.0-eval-x64Linux4gcc7.3.0.tar.gz)

I have sourced the *setenv*.bash script from RTI install directory.
When starting to compile ROS2 with 6.0.0 like explained in the Building ROS2 on Linux link above, I get the following error amongst others:

".../ros2_ws/build/rmw_connext_cpp/resources/patched/connext_static_serialized_data.h:118:16: error: ‘type_code’ is not a class template
         struct type_code<ConnextStaticSerializedData> {
"

Maybe there is also a different solution to what I actually want to achieve.
I am trying to get a ROS2 node talking to Matlab Simulink RTI Connext DDS (version 6.0.0) blocks. The current Connext DDS version in the Ubuntu repositories is at 5.3.1.

But we are getting warnings and errors that some things are not compatible.When I am back at the office PC I can also look up the exact error message. It was something about shared memory locator not compatible...

But I thought compiling with the same version should resolve all our problems. Unfortunately we get this compilation error.

If you need any further info, pleas let me know. I have also put the stderr of rmw_connext_cpp in the attachment, although I had to automatically clean this file from bash escape color codes. I hope everything of value is still there.

Thank you in advance and best regards

Eddi

Offline
Last seen: 9 hours 2 min ago
Joined: 11/14/2017
Posts: 12

Hello Eddi,

This issue is currently being investigated by both RTI and Open Robotics, and it is still too soon to give an accurate date of completion.   
If your needs are more pressing, would it be possible to use the previous release of RTI Connext (version 5.3.1, which builds correctly with ROS2) in the ROS2 build, and potentially in Matlab?  

There may also be other ways to work around this issue until it is fixed, however this one may be the most direct.